import request from '@/utils/request'

// 查询【请填写功能名称】列表
export function listRecycle(query) {
  return request({
    url: '/taicangpop/recycle/list',
    method: 'get',
    params: query
  })
}

// 查询【请填写功能名称】详细
export function getRecycle(id) {
  return request({
    url: '/taicangpop/recycle/' + id,
    method: 'get'
  })
}

// 新增【请填写功能名称】
export function addRecycle(data) {
  return request({
    url: '/taicangpop/recycle',
    method: 'post',
    data: data
  })
}

// 修改【请填写功能名称】
export function updateRecycle(data) {
  return request({
    url: '/taicangpop/recycle',
    method: 'put',
    data: data
  })
}

// 删除【请填写功能名称】
export function delRecycle(id) {
  return request({
    url: '/taicangpop/recycle/' + id,
    method: 'delete'
  })
}

// 导出【请填写功能名称】
export function exportRecycle(query) {
  return request({
    url: '/taicangpop/recycle/export',
    method: 'get',
    params: query
  })
}